### Method

# GIRepository EnumInfo get_value

since: 2.80

#### Declaration

    GIValueInfo*
    gi_enum_info_get_value (
      GIEnumInfo* info,
      unsigned int n
    )

#### Description

Obtain a value for this enumeration.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of value to fetch.

#### Return value

Type: `GIValueInfo`

The enumeration value, free the struct with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.